de.esprit.netsuite.rtask

## Class CoServerBindTaskCreator<S extends ServerContext>

- java.lang.Object
- - de.esprit.netsuite.rtask.CoServerBindTaskCreator<S>

- All Implemented Interfaces:
    RemoteTaskCreator<S>, java.io.Serializable

      public class CoServerBindTaskCreator<S extends ServerContext>
      extends java.lang.Object
      implements RemoteTaskCreator<S>

  This class creates a `CoServerBindTask` which is supposed to execute a `RemoteTaskStartAgent` within a `CoClientContext` in order to start a remote task on the CoServer (using the given coSrvTaskCreator for creating the task on the CoServer)
  Author:
    Rainer Buesch
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CoServerBindTaskCreator(java.lang.String coServerName, RemoteTaskCreator coSrvTaskCreator)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `RemoteTask` | `createRemoteTask(ServerContext serverCtx, SessionId sessionId)` Is called when the task needs to be created in the given context.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CoServerBindTaskCreator

          public CoServerBindTaskCreator(java.lang.String coServerName,
                                 RemoteTaskCreator coSrvTaskCreator)

  - ### Method Detail

    - #### createRemoteTask

          public RemoteTask createRemoteTask(ServerContext serverCtx,
                                    SessionId sessionId)

      Description copied from interface: `RemoteTaskCreator`
      Is called when the task needs to be created in the given context.
      Specified by:
        `createRemoteTask` in interface `RemoteTaskCreator<S extends ServerContext>`
      Parameters:
        `serverCtx` - the runtime environment of the server

Copyright © 2014 EsprIT-Systems. All Rights Reserved.